#include "raylib.h"
#include "Tree.hpp"

const int screenWidth = 800;
const int screenHeight = 800;

int main(void)
{
  InitWindow(screenWidth, screenHeight, "raylib");

  SetTargetFPS(60);
  {
    Tree tree(800);
    tree.newTree();

    Rectangle dest = {0, 0, screenWidth, screenHeight};
    float rotation = 0.0f;
    while (!WindowShouldClose())
    {
      if (IsMouseButtonPressed(MOUSE_BUTTON_LEFT))
      {
        tree.newTree();
      }
      BeginDrawing();
      tree.draw(dest, rotation);
      EndDrawing();
    }
  }
  CloseWindow();
  return 0;
}